Get Content Status
curl --request GET \
--url https://api.example.com/knowledge/content/{content_id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/knowledge/content/{content_id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/knowledge/content/{content_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "content-123",
"status": "completed",
"status_message": ""
}Knowledge
Get Content Status
Return the processing status for a content ID. For local knowledge in Agno 2.7.4, an unknown content ID returns HTTP 200 with status="failed" and status_message="Content not found".
GET
/
knowledge
/
content
/
{content_id}
/
status
Get Content Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Database ID to use
Knowledge base ID to use
Response
Content status returned. An unknown local content ID is represented by status "failed".
Was this page helpful?